org.apache.catalina.authenticator

## Class SpnegoAuthenticator.AcceptAction

- java.lang.Object
- - org.apache.catalina.authenticator.SpnegoAuthenticator.AcceptAction

- All Implemented Interfaces:
    PrivilegedExceptionAction<byte[]>
  Enclosing class:
    SpnegoAuthenticator

      public static class SpnegoAuthenticator.AcceptAction
      extends Object
      implements PrivilegedExceptionAction<byte[]>

  This class gets a gss credential via a privileged action.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpnegoAuthenticator.AcceptAction(GSSContext context, byte[] decodedToken)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpnegoAuthenticator.AcceptAction

          public SpnegoAuthenticator.AcceptAction(GSSContext context,
                                          byte[] decodedToken)

  - ### Method Detail

    - #### run

          public byte[] run()
                     throws GSSException

      Specified by:
        `run` in interface `PrivilegedExceptionAction<byte[]>`
      Throws:
        `GSSException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.